Subject: [ltans] RFC 3161 Token

From: Markus Isler <[email-masked]>
Date: Thu, 26 Apr 2012 15:14:02 +0000

Hi

Just for clarification. For an RFC3161 type Time-Stamp Token, the <TimeStamp>  element MUST contain base64 encoding of a DER-encoded ASN1 data of TimeStampToken.

TimeStampToken ::= ContentInfo

And not the base64 encoding of a DER-encoded ASN1 data of TimeStampResp?

TimeStampResp ::= SEQUENCE  {

      status                  PKIStatusInfo,

      timeStampToken          TimeStampToken     OPTIONAL  }

Is that correct?

Regards
Markus

---

From: Tobias Gondrom <[email-masked]>
Date: Fri, 27 Apr 2012 01:19:49 +0800

Hi,

yes it is the Time-Stamp Token and not the TimeStampResp, ....

And if I may say so, I think the RFC is pretty clear on that one in all 
sections:
e.g. " <TimeStamp> is REQUIRED and holds a <TimeStampToken> element with
       a Time-Stamp Token (as defined in Section 3.1.2) provided by the
       Time-Stamping Authority and an OPTIONAL element
<CryptographicInformationList>."

Please also take a read at section 3.1.2.

Regards, Tobias

On 26/04/12 23:14, Markus Isler wrote:
>
> Hi
>
> Just for clarification. For an RFC3161 type Time-Stamp Token, the 
> <TimeStamp>  element MUST contain base64 encoding of a DER-encoded 
> ASN1 data of TimeStampToken.
>
> _______________________________________________
> ltans mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ltans

---

From: Markus Isler <[email-masked]>
Date: Thu, 26 Apr 2012 18:17:11 +0000

Hi Tobias

Thanks for clarifying.

Regards
Markus

Am 26.04.2012 um 19:20 schrieb "Tobias Gondrom" <[email-masked]<mailto:[email-masked]>>:

Hi,

And if I may say so, I think the RFC is pretty clear on that one in all sections:

Regards, Tobias

      status                  PKIStatusInfo,

Is that correct?

Regards
Markus

_______________________________________________
ltans mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ltans

_______________________________________________
ltans mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ltans

---

From: Markus Isler <[email-masked]>
Date: Thu, 26 Apr 2012 18:17:11 +0000

Hi Tobias

Thanks for clarifying.

Regards
Markus

Hi,

Regards, Tobias

      status                  PKIStatusInfo,

Is that correct?

Regards
Markus